package com.zanxiang.manage.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.common.utils.bean.BeanUtils;
import com.zanxiang.manage.domain.vo.UserAddressVO;
import com.zanxiang.manage.service.IUserAddressService;
import com.zanxiang.mybatis.entity.UserAddress;
import com.zanxiang.mybatis.mapper.UserAddressMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2022-07-05
 * @description : 用户地址
 */
@Slf4j
@Service
public class UserAddressServiceImpl extends ServiceImpl<UserAddressMapper, UserAddress> implements IUserAddressService {

    @Override
    public List<UserAddressVO> list(Long userId) {
        List<UserAddress> addressList = super.list(new LambdaQueryWrapper<UserAddress>().eq(UserAddress::getUserId, userId));
        return BeanUtils.copyList(addressList, UserAddressVO.class);
    }

}
