package com.zanxiang.sdk.service;


import com.zanxiang.module.util.pojo.ResultVO;
import com.zanxiang.sdk.domain.params.LoginMobileParam;
import com.zanxiang.sdk.domain.params.LoginPasswordParam;
import com.zanxiang.sdk.domain.params.LoginVxCodeParam;
import com.zanxiang.sdk.domain.params.UserData;
import com.zanxiang.sdk.domain.vo.UserLoginVO;

/**
 * @author : lingfeng
 * @time : 2022-06-22
 * @description :
 */
public interface IRegisterLoginService {

    /**
     * 微信小游戏code授权登录
     *
     * @param param    : 授权参数
     * @param userData : 用户信息
     * @return {@link ResultVO}<{@link UserLoginVO}>
     */
    ResultVO<UserLoginVO> loginWxCode(LoginVxCodeParam param, UserData userData);

    /**
     * 登录密码
     * 用户名注册或者登录
     *
     * @param param    : 注册登录参数
     * @param userData : 用户信息
     * @return {@link ResultVO}<{@link UserLoginVO}>
     */
    ResultVO<UserLoginVO> loginPassword(LoginPasswordParam param, UserData userData);

    /**
     * 手机号登录
     *
     * @param param    : 手机号登录参数
     * @param userData : 用户信息
     * @return {@link ResultVO}<{@link UserLoginVO}>
     */
    ResultVO<UserLoginVO> loginMobile(LoginMobileParam param, UserData userData);

    /**
     * 登录退出
     *
     * @param userData : 返回用户信息
     * @return {@link Boolean}
     */
    Boolean loginOut(UserData userData);

    /**
     * 登录注销
     *
     * @param userData : 返回用户信息
     * @return {@link Boolean}
     */
    Boolean writeOff(UserData userData);
}
